Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\SPI\Persistence\TransactionHandler Interface Reference

The Persistence Transaction handler for Storage Engine. More...

Inheritance diagram for eZ\Publish\SPI\Persistence\TransactionHandler:

## Public Member Functions
| beginTransaction ()
| Begin transaction. More...
| commit ()
| Commit transaction. More...
| rollback ()
| Rollback transaction. More...

## Detailed Description

The Persistence Transaction handler for Storage Engine.

Since
  5.3

Definition at line 14 of file SPI/Persistence/TransactionHandler.php.

## Member Function Documentation

## ◆ beginTransaction()

eZ\Publish\SPI\Persistence\TransactionHandler::beginTransaction | ( |  | ) |

Begin transaction.

Begins an transaction, make sure you'll call commit or rollback when done, otherwise work will be lost.

Implemented in eZ\Publish\Core\SignalSlot\SignalDispatcher\SignalDispatcherTransactionWrapper, eZ\Publish\Core\Persistence\Legacy\TransactionHandler, and eZ\Publish\Core\Persistence\Cache\TransactionHandler.

## ◆ commit()

eZ\Publish\SPI\Persistence\TransactionHandler::commit | ( |  | ) |

Commit transaction.

Commit transaction, or throw exceptions if no transactions has been started.

Exceptions

Implemented in eZ\Publish\Core\SignalSlot\SignalDispatcher\SignalDispatcherTransactionWrapper, eZ\Publish\Core\Persistence\Legacy\TransactionHandler, and eZ\Publish\Core\Persistence\Cache\TransactionHandler.

## ◆ rollback()

eZ\Publish\SPI\Persistence\TransactionHandler::rollback | ( |  | ) |

Rollback transaction.

Rollback transaction, or throw exceptions if no transactions has been started.

Exceptions

Implemented in eZ\Publish\Core\SignalSlot\SignalDispatcher\SignalDispatcherTransactionWrapper, eZ\Publish\Core\Persistence\Legacy\TransactionHandler, and eZ\Publish\Core\Persistence\Cache\TransactionHandler.

The documentation for this interface was generated from the following file:

- SPI/Persistence/TransactionHandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.